using Microsoft.AspNetCore.Mvc;

namespace e_suite.Service.Sentinel;

public interface ISentinel
{
    Task<IActionResult?> CheckSecurity(ControllerBase controller, CancellationToken cancellationToken);
    Task LogBadRequest(ControllerBase controller, CancellationToken cancellationToken);
}